# Uses of Class
org.mariadb.jdbc.type.Point

Packages that use Point
Package
Description
org.mariadb.jdbc.plugin.codec
org.mariadb.jdbc.type

## Uses of Point in org.mariadb.jdbc.plugin.codec

Classes in org.mariadb.jdbc.plugin.codec that implement interfaces with type arguments of type Point
Modifier and Type
Class
Description
`class`
`PointCodec`
Point codec
Methods in org.mariadb.jdbc.plugin.codec that return Point
Modifier and Type
Method
Description
`Point`
PointCodec.`decodeBinary(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`
`Point`
PointCodec.`decodeText(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`

## Uses of Point in org.mariadb.jdbc.type

Methods in org.mariadb.jdbc.type that return Point
Modifier and Type
Method
Description
`Point[]`
LineString.`getPoints()`
get points
`Point[]`
MultiPoint.`getPoints()`
Get points
`static Point`
Geometry.`parsePoint(boolean littleEndian, org.mariadb.jdbc.client.ReadableByteBuf buf)`
Parse point from packet
Constructors in org.mariadb.jdbc.type with parameters of type Point
Modifier
Constructor
Description
``
`LineString(Point[] points, boolean open)`
Constructor
``
`MultiPoint(Point[] points)`
Constructor